# Class InputSchema

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents an input schema.

    public class InputSchema

Inheritance
  object
  InputSchema

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### InputSchema(Dictionary<string, InputProperty>, List<string>)

Initializes a new instance of the InputSchema class.

    public InputSchema(Dictionary<string, InputProperty> properties, List<string> required)

#### Parameters

`properties` Dictionary<string, InputProperty>

  The properties of the input schema.

`required` List<string>

  The required properties of the input schema.

#### Exceptions

ArgumentNullException

  Thrown when the properties or required is null.

ArgumentException

  Thrown when the required properties are not present in the properties dictionary.

## Properties

Gets the properties of the input schema.

    public Dictionary<string, InputProperty> Properties { get; init; }

#### Property Value

Dictionary<string, InputProperty>

### Required

Gets the required properties of the input schema.

    public List<string> Required { get; init; }

#### Property Value

List<string>

### Type

Gets the type of the input schema.

    public string Type { get; init; }

#### Property Value

string